Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config.json
Class JsonConfiguration

    java.lang.Object
      org.apache.logging.log4j.core.AbstractLifeCycle
          org.apache.logging.log4j.core.filter.AbstractFilterable
              org.apache.logging.log4j.core.config.AbstractConfiguration
                  org.apache.logging.log4j.core.config.json.JsonConfiguration

All Implemented Interfaces:
  Serializable, Configuration, Reconfigurable, Filterable, LifeCycle

Direct Known Subclasses:
  YamlConfiguration

    public class JsonConfiguration

extends AbstractConfiguration
implements Reconfigurable

Creates a Node hierarchy from a JSON file.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.logging.log4j.core.LifeCycle
`LifeCycle.State`

Field Summary

Fields inherited from class org.apache.logging.log4j.core.config.AbstractConfiguration
`isShutdownHookEnabled, listeners, monitor, pluginManager, pluginPackages, rootNode`

Fields inherited from class org.apache.logging.log4j.core.AbstractLifeCycle
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.config.Configuration
`CONTEXT_PROPERTIES`

Constructor Summary
`JsonConfiguration(ConfigurationSource configSource)`

Method Summary
`protected com.fasterxml.jackson.databind.ObjectMapper` | `getObjectMapper()`
`Configuration` | `reconfigure()`
`void` | `setup()`
`String` | `toString()`

Methods inherited from class org.apache.logging.log4j.core.config.AbstractConfiguration
`addAppender, addComponent, addListener, addLogger, addLoggerAppender, addLoggerFilter, createAdvertiser, createConfiguration, doConfigure, getAdvertiser, getAppender, getAppenders, getComponent, getConfigurationMonitor, getConfigurationSource, getCustomLevels, getDefaultStatus, getLogger, getLoggerConfig, getLoggers, getName, getPluginPackages, getProperties, getRootLogger, getStrSubstitutor, isShutdownHookEnabled, removeAppender, removeListener, removeLogger, setAdvertiser, setConfigurationMonitor, setLoggerAdditive, setName, start, stop, toByteArray`

Methods inherited from class org.apache.logging.log4j.core.filter.AbstractFilterable
`addFilter, getFilter, hasFilter, isFiltered, removeFilter`

Methods inherited from class org.apache.logging.log4j.core.AbstractLifeCycle
`equalsImpl, getState, hashCodeImpl, isInitialized, isStarted, isStarting, isStopped, isStopping, setStarted, setStarting, setState, setStopped, setStopping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.logging.log4j.core.filter.Filterable
`addFilter, getFilter, hasFilter, isFiltered, removeFilter`

Methods inherited from interface org.apache.logging.log4j.core.LifeCycle
`getState, isStarted, isStopped`

Constructor Detail

### JsonConfiguration

    public JsonConfiguration(ConfigurationSource configSource)

Method Detail

### getObjectMapper

    protected com.fasterxml.jackson.databind.ObjectMapper getObjectMapper()

### setup

    public void setup()

  Overrides:
    `setup` in class `AbstractConfiguration`

### reconfigure

    public Configuration reconfigure()

  Specified by:
    `reconfigure` in interface `Reconfigurable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.